Package: groovy.time

## [Java] Class TimeDuration

- groovy.time.TimeDuration

- TimeDuration represents time periods expressed in units of hours, minutes, seconds and milliseconds.

  Whilst we can't say how long a month is without knowing the year and the name of the month, we know how long a second is independent of the date.

  This is not 100% true for minutes. Minutes can be 59, 60 or 61 seconds long (due to leap seconds.)

  If you ask Duration to convert itself to milliseconds then it will work on the basis of 60 seconds in a minute. If you add or subtract it from a date it will take leap seconds into account.

  Authors:
    John Wilson tug@wilson.co.uk

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseDuration` | `days, hours, millis, minutes, months, seconds, years`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TimeDuration (int hours, int minutes, int seconds, int millis)`
    `TimeDuration (int days, int hours, int minutes, int seconds, int millis)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Date` | `getAgo()`
    `` | `From` | `getFrom()`
    `` | `Duration` | `minus(Duration rhs)`
    `` | `DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
    `` | `Duration` | `plus(Duration rhs)`
    `` | `DatumDependentDuration` | `plus(DatumDependentDuration rhs)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Duration` | `getAgo, getFrom, minus, minus, minus, minus, plus, plus, plus, toMilliseconds`
    `class BaseDuration` | `compareTo, getAgo, getDays, getFrom, getHours, getMillis, getMinutes, getMonths, getSeconds, getYears, plus, toMilliseconds, toString`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public TimeDuration(int hours, int minutes, int seconds, int millis)

    - #### public TimeDuration(int days, int hours, int minutes, int seconds, int millis)

  - ### Method Detail

    - #### public Date getAgo()

    - #### public From getFrom()

    - #### public Duration minus(Duration rhs)

    - #### public DatumDependentDuration minus(DatumDependentDuration rhs)

    - #### public Duration plus(Duration rhs)

    - #### public DatumDependentDuration plus(DatumDependentDuration rhs)